ChangeSet 1.1642, 2004/05/14 12:19:20-07:00, david-b@pacbell.net

[PATCH] USB: hcd-pci suspend tweak

I needed this to get an APM + UHCI config to behave on resume.
Applies against your BK of last night ... OHCI and EHCI do
some of this manually, they could be simplified later.


 drivers/usb/core/hcd-pci.c |    2 ++
 1 files changed, 2 insertions(+)


diff -Nru a/drivers/usb/core/hcd-pci.c b/drivers/usb/core/hcd-pci.c
--- a/drivers/usb/core/hcd-pci.c	Fri May 14 15:27:04 2004
+++ b/drivers/usb/core/hcd-pci.c	Fri May 14 15:27:04 2004
@@ -318,6 +318,7 @@
 			
 			if (has_pci_pm)
 				retval = pci_set_power_state (dev, state);
+			dev->dev.power.power_state = state;
 			if (retval < 0) {
 				dev_dbg (&dev->dev,
 						"PCI suspend fail, %d\n",
@@ -357,6 +358,7 @@
 
 	if (has_pci_pm)
 		pci_set_power_state (dev, 0);
+	dev->dev.power.power_state = 0;
 	retval = request_irq (dev->irq, usb_hcd_irq, SA_SHIRQ,
 				hcd->description, hcd);
 	if (retval < 0) {
